View Issue Details

IDProjectCategoryView StatusLast Update
0001927OpenFOAM[All Projects] Bugpublic2015-12-03 16:41
ReporterpetebachantAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Version 
Fixed in Version 
Summary0001927: ENH: Add fvOptions to turbulence models
DescriptionThe ability to add sources, constraints, etc. to turbulence models would be a nice feature. I got someone's version of kEpsilon with options working for 2.3.x, but it's broken as of the 3.0 changes: https://github.com/petebachant/kEpsilonSources
TagsNo tags attached.

Activities

henry

2015-11-25 16:23

manager   ~0005678

This is on the list of things to do but will take a bit of time, particularly for testing. We are seeking sponsorship for this development.

henry

2015-11-28 19:15

manager   ~0005683

OpenFOAM-dev:

commit 0517efd7dbcba8d2f168a0d81ec93691a59dd243
Author: Henry Weller <http://cfd.direct>
Date: Sat Nov 28 19:07:42 2015 +0000

    turbulenceModels/RAS/kEpsilon/kEpsilon: Added experimental support for fvOptions

Currently fvOptions.correct(nut) is performed in correct() rather than correctNut() to ensure that post-processing utilities which do not instantiate fvOptions can instantiate turbulence models. It would be preferable to provide the fvOptions as an argument to the turbulence models constructor and New factory method and hold a reference rather than looking it up from the database but this would then require that all utilities which instantiate turbulence models first construct fvOptions. All the issues surrounding these choices are being considered.

henry

2015-12-03 16:41

manager   ~0005721

fvOptions are now fully supported in all turbulence models in OpenFOAM-dev.

Issue History

Date Modified Username Field Change
2015-11-25 16:18 petebachant New Issue
2015-11-25 16:23 henry Note Added: 0005678
2015-11-25 16:23 henry Status new => closed
2015-11-25 16:23 henry Assigned To => henry
2015-11-25 16:23 henry Resolution open => suspended
2015-11-28 19:15 henry Note Added: 0005683
2015-11-28 19:15 henry Status closed => assigned
2015-12-03 16:41 henry Note Added: 0005721
2015-12-03 16:41 henry Status assigned => resolved
2015-12-03 16:41 henry Resolution suspended => fixed